get_global_graph_attrs {DiagrammeR} | R Documentation

## Get global graph attributes

### Description

Get the presently set global attributes for a graph object of class `dgr_graph`.

### Usage

    get_global_graph_attrs(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a data frame containing global attributes for the graph.

### Examples

    # Create a new graph and set some global attributes
    graph <-
      create_graph() %>%
      set_global_graph_attrs(
        attr = "overlap",
        value = "true",
        attr_type = "graph")

    # View the graph's set of global attributes
    # as a data frame
    get_global_graph_attrs(graph)
    #>      attr value attr_type
    #> 1 overlap  true     graph

[Package DiagrammeR version 0.9.2 Index]